/* Nav */
.navbar {
	--clr-white: 216 61% 18%;
	--clr-primary-blue: 0 0% 98%;
	--clr-sub-blue: 0 0% 95%;
}
.navMenu ul li a {
	font-weight: 400;
}

/* Main tag Start */
body {
	background-color: hsl(var(--clr-white));
	overflow-x: hidden;
}

/* Banner */
#banner {
	width: 100%;
	height: 20rem;
	position: relative;
	background-color: #999;
}
.banner-title {
	position: absolute;
	width: 100%;
	height: 100%;
	inset: 0;
	display: grid;
	place-items: center;
	color: hsl(var(--clr-white));
	z-index: 1;
}
#banner picture {
	position: absolute;
	width: 100%;
	height: 100%;
	inset: 0;
}
#banner img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}

/* Product */
#product {
	width: 100%;
}
.product-navigation {
	width: 100%;
	padding-top: 4rem;
}
.nav-links {
	width: clamp(12rem, 8rem + 5rem, 15rem);
	padding-bottom: 2rem;
}
.nav-links li h3 {
	display: block;
	font-weight: 500;
	transition: 0.4s ease;
	cursor: pointer;
}
.nav-links li h3[aria-selected="true"],
.nav-links li h3.active,
.nav-links li h3:hover {
	font-weight: 600;
	border-bottom: solid 0.24em hsl(var(--clr-primary-yellow));
}
.sort {
	width: 100%;
}
.sort-container {
	width: min(100%, 800px);
	height: 2.5rem;
	position: relative;
	display: grid;
	place-items: center;
}
.sort-container ul {
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	margin: 0 auto;
	transition: 0.5s;
	opacity: 0;
}
.sort-container .implant-sort {
	transform: translateX(-150%);
}
.sort-container .another-sort {
	transform: translateX(50%);
}
.sort-container ul[aria-selected="true"] {
	opacity: 1;
	transform: translateX(-50%);
}
.sort-container ul[aria-selected="true"] li {
	cursor: pointer;
}
.sort-container li {
	width: max-content;
	padding: 0 10px;
	font-size: 1.2rem;
	letter-spacing: 0.1em;
	transition: 0.4s ease;
}
.sort-container li[aria-selected="true"],
.sort-container li:hover {
	font-weight: 900;
}

/* Slider */
.product-content {
	width: min(75%, 1280px);
	margin: 3rem auto 8rem;
	position: relative;
}
.slider-container {
	width: 100%;
	aspect-ratio: 375 / 188;
	position: relative;
	overflow-x: hidden;
}
.slider-container .slider-gallery {
	width: calc(100% * 4);
	display: flex;
	transition: 0.5s ease;
}
.slider-container li {
	width: calc(100% / 4);
	height: auto;
	display: grid;
	place-items: center;
}
.slider-container img {
	width: 100%;
	height: min-content;
	object-fit: cover;
	object-position: center;
}
/* Btn Design */
.product-content button {
	/* display: block; */
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	font-size: 2.75rem;
	border: none;
	background-color: transparent;
	cursor: pointer;
	transition: 0.4s ease;
	padding: 0;
}
.product-content .prev {
	left: -1.25em;
}
.product-content .next {
	right: -1.25em;
}
.product-content .prev::before {
	margin-right: -4px;
}
.product-content .next::before {
	margin-left: -4px;
}
.product-content .prev:hover {
	transform: translateY(-50%) translateX(-0.14rem);
	color: hsl(var(--clr-primary-yellow));
}
.product-content .next:hover {
	transform: translateY(-50%) translateX(0.14rem);
	color: hsl(var(--clr-primary-yellow));
}
/* Btn & Dot inactive class */
.inactive {
	opacity: 0;
	visibility: hidden;
	cursor: initial;
}
/* Dot Design */
.dot-container {
	position: absolute;
	width: max-content;
	left: 50%;
	bottom: -5.2rem;
	transform: translateX(-50%);
}
.dot-container .dot {
	display: block;
	width: 1.1rem;
	height: 1.1rem;
	border-radius: 50%;
	background-color: transparent;
	outline: solid 0.15rem hsl(var(--clr-primary-blue));
	margin: 1.7rem 0.8rem;
	transition: 0.4s ease;
}
.dot-container .dot[aria-selected="true"],
.dot-container .dot:hover {
	background-color: hsl(var(--clr-primary-blue));
	border: solid 0.15rem hsl(var(--clr-white));
}

/* Tablet (768px - 1023px) */
@media screen and (max-width: 1023px) {
	/* Sort */
	.sort-container li {
		font-size: 1.124rem;
	}
	/* Slider */
	.product-content {
		width: 81%;
	}
}

/* Mobile (320px - 767px) */
@media screen and (max-width: 767px) {
	/* Sort */
	.sort-container li {
		font-size: 1.08rem;
	}
	/* Slider */
	.product-content {
		width: 100%;
	}

	/* Btn Design */
	.product-content button {
		/* display: block; */
		padding: 0 0.24rem;
		background-color: hsl(var(--clr-primary-blue) / 0.4);
		backdrop-filter: blur(0.35rem);
		font-size: 2rem;
	}
	.product-content .prev {
		left: 0;
	}
	.product-content .next {
		right: 0;
	}
	.product-content .prev::before {
		margin-right: -2px;
	}
	.product-content .next::before {
		margin-left: -2px;
	}
}
